function jvm --argument-names __jvm_version
	# Only works on Mac
	if test (uname -s) != Darwin
		echo "Unsupported OS: "(uname -s)
		return 1
	end

	if test -z "$__jvm_version"
		echo "Usage: jvm <java_version>"
		#echo
		#/usr/libexec/java_home --verbose
		return 2
	end

	set --local __jvm_homedir (/usr/libexec/java_home -v $__jvm_version)

	if test $status -eq 0
		echo "Setting JAVA_HOME to $__jvm_homedir"
		set -gx JAVA_HOME $__jvm_homedir
	end
end
