function brew_install --description "Select packages to install"
  set --local inst_pkgs $argv

  if test (count $inst_pkgs) -eq 0
    set inst_pkgs (brew search | eval "fzf --multi --prompt='[brew:install] '")
  end

  if test (count $inst_pkgs) -gt 0
    echo "Installing: $inst_pkgs"
    brew install $inst_pkgs
  end
end
