#!/bin/sh

DOTFILES="$HOME/.dotfiles"

# Create required directories before making links
mkdir -p "$HOME/.config"

# Create symlinks, forcing updates
ln -Fsv "$DOTFILES/bash/.bashrc" "$HOME/.bashrc" # Bash does not support XDG config
ln -Fsv "$DOTFILES/fish"         "$HOME/.config"
ln -Fsv "$DOTFILES/nvim"         "$HOME/.config"
ln -Fsv "$DOTFILES/git"          "$HOME/.config"
